Bug 106512

Summary: Fatal: NVIDIA GEFORCE 320M MCP89: Can't start X on kernel 4.15
Product: xorg Reporter: h1746780
Component: Driver/nouveauAssignee: Nouveau Project <nouveau>
Status: RESOLVED MOVED QA Contact: Xorg Project Team <xorg-team>
Severity: normal    
Priority: high    
Version: unspecified   
Hardware: x86-64 (AMD64)   
OS: Linux (All)   
Whiteboard:
i915 platform: i915 features:
Attachments:
Description Flags
Kernel log
none
miwujivelu.kernel.log
none
possible fix none

Description h1746780 2018-05-14 13:23:54 UTC
Created attachment 139554 [details]
Kernel log

I'm no more able to use nouveau on system with GeForce 320M MCP89.
X server fails start.

This happened when I upgraded my ubuntu from 17.10 (works good) to 18.04.

Ubuntu 18.04 live CD has same issue.

Please see kernel.log
Comment 1 h1746780 2018-05-14 13:31:24 UTC
Anoher log when I tried to start with 4.15 and 4.13 after ubuntu 17.10 upgrade to 18.04:

https://hastebin.com/miwujivelu.apache
Comment 2 h1746780 2018-05-14 13:40:43 UTC
Created attachment 139555 [details]
miwujivelu.kernel.log
Comment 3 Ilia Mirkin 2018-05-14 13:51:43 UTC
A brief check reveals that mcp89's mmu is hooked up to g84_mmu and not mcp77_mmu. No clue if that's on purpose or not.
Comment 4 Karol Herbst 2018-07-05 17:29:13 UTC
Created attachment 140478 [details]
possible fix

mind trying that patch and see if that's better?
Comment 5 crmlt 2018-07-06 20:11:07 UTC
Provided patch fixed the regression.
Comment 6 Karol Herbst 2018-11-16 14:35:17 UTC
it is still an issue
Comment 7 Martin Peres 2019-12-04 09:39:32 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/xorg/driver/xf86-video-nouveau/issues/433.

Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.